<?php

    class file
    {
        
        public static function upload( $IMAGEFILE , $UploadPath = 'static/' )
        {
            // Grafika
            $ImageName = md5(microtime(true).rand(0,999999)) . '.' . strtolower( pathinfo( $IMAGEFILE['name'] , PATHINFO_EXTENSION ) );
            $movePath = $UploadPath . $ImageName;
            
            if (!file_exists( $UploadPath )){
                mkdir( $UploadPath );
            }
            
            if (move_uploaded_file($IMAGEFILE['tmp_name'], $movePath))
            {
                return $movePath;
            } 
            else 
            {
                statement::$i->set( l('Podczas wgrywania pliku wystąpił błąd, spróbuj ponownie za chwilę') , 'danger' );
                return;
            }
        }
        
        
    }


?>